
Redmine - Defect #2922

bad escaping of < and > in code exemple in redmine Wiki

2009-03-06 14:55 - Paul Rivier

Status: Closed Start date: 2009-03-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

see first example in this page : Plugin_Tutorial

it prints

ruby script/generate redmine_plugin &lt;plugin_name&gt;

 while it should print

ruby script/generate redmine_plugin <plugin_name>

Related issues:

Is duplicate of Redmine - Defect #1416: Inline code with less-then/greater-th... Closed 2008-06-10

History

#1 - 2009-03-06 15:36 - Jean-Baptiste Barth

- Status changed from New to Closed

- Assignee changed from Jean-Philippe Lang to Jean-Baptiste Barth

- Affected version (unused) deleted (devel)

- Resolution set to Fixed

Fixed, thanks.

#2 - 2009-03-06 16:01 - Paul Rivier

Hello Jean Baptiste,

I notice this has been worked around in this wikipage using 'pre' environnment that does not show the bad escaping problem, but fixing the redmine

(or redcloth) code would be The Right Thing in my opinion. Of course unless the indented form of 'pre' is discouraged in redmine.

#3 - 2009-03-06 16:06 - Jean-Baptiste Barth

- Status changed from Closed to Reopened

- Assignee deleted (Jean-Baptiste Barth)

Oh ok, I thought you were just talking about this precise wiki page. You're right, I think there's a problem when you escape some code with "@" signs.

I reopen the ticket, sorry.

#4 - 2009-03-06 16:15 - Paul Rivier

yes, there is this '<>' escaping problem with @ constructs, as in  this <example> of inline code

and with indented lines, as in 

this &lt;example&gt; of indented code

#5 - 2009-03-06 18:22 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- Resolution changed from Fixed to Duplicate

Dup of #1416.
